Extents of print composer maps are not updated when the project CRS changes

2011-05-31 12:56 AM - Alister Hood

Status: Open

Priority: Low

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 13914

Description

Try this:

- enable on-the-fly reprojection

- add some layers

- create a new composer layout and add a map to it.

- make sure the extents of the composer layout are such that the layers are visible

- change the project CRS

The layers will no longer be visible in the composer layout because the composer layout extents are applied using the project CRS, and

are not adjusted when the project CRS changes.

Also see #3243 which is a similar issue for spatial bookmarks.

History

#1 - 2011-05-31 08:17 AM - Marco Hugentobler

I don't see this as a bug. The composermap always shows the map projection and its extent is independant from the main map extent (except if you press

'set to map canvas extent' to synchronise both). 

A possible enhancement would be to add the possibility to have the content of a composermap in a different CRS than the main map.

#2 - 2011-06-01 03:02 PM - Alister Hood

its extent is independent from the main map extent

But if the extent is independent from the main map extent then no user would expect it to suddenly show a different part of the world if the CRS of the main

map changes ;)

#3 - 2011-12-16 12:44 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2011-12-18 05:07 AM - Alister Hood

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No
Also see #3742 which is a similar issue for updating the extent in the main map window after changing the project CRS.

#5 - 2011-12-18 05:12 AM - Sandro Santilli

So is this a bug or feature ? If it's a feature shouldn't target 1.7 branch

#6 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#7 - 2012-10-06 02:23 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#8 - 2014-04-06 06:03 AM - Jürgen Fischer

- Category changed from 33 to Map Composer/Printing

#9 - 2014-12-13 01:40 AM - Oliver Story

This seems like a bug to me.

I would describe it as "Extents of print composer maps are not updated when the project CRS changes".

The result is print composer maps become nonsensical if you change CRS to something with a different coordinate system (e.g. from lat/long to UTM

coordinates).

#10 - 2014-12-14 02:11 AM - Giovanni Manghi

- Subject changed from Print composer extents do not take into account CRS to Extents of print composer maps are not updated when the project CRS 

changes

- Operating System deleted (All)

- Status info deleted (0)

Oliver Story wrote:

This seems like a bug to me.

I would describe it as "Extents of print composer maps are not updated when the project CRS changes".

The result is print composer maps become nonsensical if you change CRS to something with a different coordinate system (e.g. from lat/long to UTM

coordinates).

#11 - 2015-12-03 03:59 AM - Médéric RIBREUX

Hello, bug triage...

still true in QGIS 2.13. To solve this, we should automatically update all of the composers maps extents when a user change the project CRS...

#12 - 2017-05-01 12:50 AM - Giovanni Manghi
- Easy fix? set to No
